%global _empty_manifest_terminate_build 0
Name:           python-taskflow
Version:        4.6.0
Release:        2
Summary:        Taskflow structured state management library.
License:        Apache-2.0
URL:            https://docs.openstack.org/taskflow/latest/
Source0:        https://files.pythonhosted.org/packages/77/02/5cf0d578ba17c2b68aeed41165a0dac5929bad78385108a4c42e349351cd/taskflow-4.6.0.tar.gz
BuildArch:      noarch
%description
A library to do [jobs, tasks, flows] in a highly available, easy to understand
and declarative manner (and more!) to be used with OpenStack and other projects.

%package -n python3-taskflow
Summary:        Taskflow structured state management library.
Provides:       python-taskflow
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-automaton
BuildRequires:  python3-cachetools
BuildRequires:  python3-fasteners
BuildRequires:  python3-futurist
BuildRequires:  python3-jsonschema
BuildRequires:  python3-networkx
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-pydot
BuildRequires:  python3-six
BuildRequires:  python3-stevedore
BuildRequires:  python3-tenacity
BuildRequires:  python3-PyMySQL
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-SQLAlchemy-Utils
BuildRequires:  python3-alembic
BuildRequires:  python3-psycopg2
BuildRequires:  python3-eventlet
BuildRequires:  python3-redis
BuildRequires:  python3-pytest
BuildRequires:  python3-kombu
BuildRequires:  python3-kazoo
BuildRequires:  python3-zake
# General requires
Requires:       python3-automaton
Requires:       python3-cachetools
Requires:       python3-fasteners
Requires:       python3-futurist
Requires:       python3-jsonschema
Requires:       python3-networkx
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-pydot
Requires:       python3-six
Requires:       python3-stevedore
Requires:       python3-tenacity
Requires:       python3-PyMySQL
Requires:       python3-sqlalchemy
Requires:       python3-SQLAlchemy-Utils
Requires:       python3-alembic
Requires:       python3-psycopg2
Requires:       python3-eventlet
Requires:       python3-redis
Requires:       python3-kombu
Requires:       python3-kazoo
Requires:       python3-zake
%description -n python3-taskflow
A library to do [jobs, tasks, flows] in a highly available, easy to understand
and declarative manner (and more!) to be used with OpenStack and other projects.

%package help
Summary:        Taskflow structured state management library.
Provides:       python3-taskflow-doc
%description help
A library to do [jobs, tasks, flows] in a highly available, easy to understand
and declarative manner (and more!) to be used with OpenStack and other projects.

%prep
%autosetup -n taskflow-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-taskflow -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 4.6.0-2
- Fix install error

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 4.6.0-1
- Package Spec generate

* Thu Jan 28 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires

* Thu Dec 31 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
